
QGIS Application - Bug report #8417

incorrect value loaded from netcdf file with scale factor

2013-08-06 07:03 AM - Jan David Bendrien

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17186

Description

I have downloaded a large (200+ MB) netcdf file on sea water velocities (from this dataset: 

http://www.myocean.eu/web/69-myocean-interactive-catalogue.php/?option=com_csw&#38;view=details&#38;product_id=GLOBAL_R

ANALYSIS_PHYS_001_009 ). After loading the file, QGIS 1.9 does not show the right values.

It seems it does not take into account the scaling factor of "0.001" embedded in the netcdf file (see the attached screenshot of the

"ncBrowse" utility). QGIS displays sea water velocities of "117" m/s where the real value is "0.117" m/s.

Subtasks:

Bug report # 4388: gdal raster provider does not use Offset and Scale raster properties Closed

History

#1 - 2013-08-06 07:42 AM - Giovanni Manghi

- Category set to Rasters

- Status changed from Open to Feedback

Can you attach the actual dataset?

#2 - 2013-08-06 08:29 AM - Jan David Bendrien

Trying to upload the dataset (200 MB file)

#3 - 2013-08-06 08:30 AM - Giovanni Manghi

Jan David Bendrien wrote:

Trying to upload the dataset (200 MB file)

max attachment size is 5mb per file. Link it (dropbox or simila)?

#4 - 2013-08-06 08:45 AM - Jan David Bendrien

I'm uploading it. Here is a first link (but it says it will take 90 minutes to download, so I am looking for another provider): http://dfiles.eu/files/6qtgs0hiz
#5 - 2013-08-06 08:50 AM - Jan David Bendrien

Here is a second link: https://www.wetransfer.com/downloads/5416cedcb421d89bd06815dbd37cbd6020130806154343/96a8c8

#6 - 2013-08-06 09:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

related discussions/pages

http://trac.osgeo.org/gdal/wiki/NetCDF_Improvements

http://trac.osgeo.org/gdal/ticket/3797

not sure, but it seems that gdal should support the scale_factor. Anyway I'll leave the response to the rasters guys.

PS

The wetransfer link should have an expire date, it would be better to have something that allows a download also in the future.

#7 - 2013-08-07 03:45 AM - Jan David Bendrien

I've uploaded the file to another provider that hosts files for 90 days: 

https://hotfile.com/dl/238223792/7662375/GLORYS2V1_ORCA025_19930915_R20110216_gridU.nc.html

#8 - 2014-01-13 02:52 AM - René-Luc ReLuc

- Target version set to Future Release - High Priority

- % Done changed from 0 to 90

- Status changed from Open to In Progress

I have send a pull-request [RASTER][Feature] Applying scale and offset to raster data - funded by Ifremer

https://github.com/qgis/QGIS/pull/1066

#9 - 2014-01-13 04:53 AM - René-Luc ReLuc

- Assignee set to Radim Blazek

#10 - 2014-02-08 11:50 PM - Radim Blazek

- Assignee deleted (Radim Blazek)

#11 - 2014-03-18 08:30 AM - René-Luc ReLuc

The pull request https://github.com/qgis/QGIS/pull/1066 has been closed

I opened a new one https://github.com/qgis/QGIS/pull/1252

this one integrates reviews from @blazek @wonder-sk @etiennesky and @timlinux :

    -  integrated and updated the test provided by @etiennesky

    -  updated the sip API for un-protected method requested by @wonder-sk

    -  updated the stats method to account for negative scale value
#12 - 2014-03-18 08:34 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

#13 - 2014-03-18 10:07 AM - Etienne Tourigny

- Subject changed from incorrect value loaded from netcdf file to incorrect value loaded from netcdf file with scale factor

#14 - 2014-05-15 08:07 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

- Assignee set to René-Luc ReLuc

Merged commit 07c57585c1fe10143a3529dfdeddcfa358c8f692

#07c57585c1fe10143a3529dfdeddcfa358c8f692

Pull request 1252 has been closed

#15 - 2015-08-21 10:35 AM - Ali Yagci

I believe QGIS shouldn't correct the data for the scale factor. Users can do it on their own by one simple operation. It leads this, see here 

http://gis.stackexchange.com/questions/158949/pixel-values-beyond-valid-range-in-qgis?noredirect=1#comment235630_158949.

Files
